# Copyright 2022 Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)

from odoo import fields, models


class PartnerModule(models.Model):
    _name = "res.partner.module"
    _description = "Modules Odoo"
    _order = "name"

    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------
    name = fields.Char("Nom du module", required=True)
    partner_version_ids = fields.One2many(
        comodel_name="res.partner.module.version",
        inverse_name="module_id",
        string="Clients",
    )
    author = fields.Char("Auteur")
    author_type = fields.Selection(
        [
            ("lefilament", "Le Filament"),
            ("oca", "OCA"),
            ("other", "Autre"),
        ],
        string="Type",
    )

    # ------------------------------------------------------
    # SQL Constraints
    # ------------------------------------------------------
    _sql_constraints = [
        (
            "uniq_module_name",
            "unique(name)",
            "Ce module existe déjà",
        ),
    ]
    # ------------------------------------------------------
    # Default methods
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Onchange / Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD methods (ORM overrides)
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Business methods
    # ------------------------------------------------------
